org.apache.jmeter.engine

## Interface RemoteJMeterEngine

- All Superinterfaces:
    java.rmi.Remote
  All Known Implementing Classes:
    RemoteJMeterEngineImpl

      public interface RemoteJMeterEngine
      extends java.rmi.Remote

  This is the interface for the RMI server engine, i.e. `RemoteJMeterEngineImpl`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rconfigure(HashTree testTree, java.lang.String host, java.io.File jmxBase, java.lang.String scriptName)`
    `void` | `rexit()`
    `void` | `rreset()`
    `void` | `rrunTest()`
    `void` | `rsetProperties(java.util.HashMap<java.lang.String,java.lang.String> p)`
    `void` | `rstopTest(boolean now)`

- - ### Method Detail

    - #### rconfigure

          void rconfigure(HashTree testTree,
                          java.lang.String host,
                          java.io.File jmxBase,
                          java.lang.String scriptName)
                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### rrunTest

          void rrunTest()
                 throws java.rmi.RemoteException,
                        JMeterEngineException

      Throws:
        `java.rmi.RemoteException`
        `JMeterEngineException`

    - #### rstopTest

          void rstopTest(boolean now)
                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### rreset

          void rreset()
               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### rsetProperties

          void rsetProperties(java.util.HashMap<java.lang.String,java.lang.String> p)
                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### rexit

          void rexit()
              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.